%define gitcom 3.7.10_build_14
# 3.7.7_build_19
# define gitcommit 05c4a9763f311a58fe3f34b68a199e5eea92e2b4

Name:			vst3sdk
Version:		3.7.10
Release:        %mkrel 1
Summary:        VST 3 Plug-In SDK
Source0:        https://www.steinberg.net/vst3sdk/%{name}-%{version}.tar.xz
Source1:		vst3sdk.pc     
URL:            https://github.com/steinbergmedia/vst3sdk
License:        GPL3 BSD
Group:          Sound

Patch0:		vst3sdk-3.7.10_build_14-cmake-build-type-none.patch
#  vst3sdk-3.7.9_build_61-cmake-build-type-none.patch

Requires:	gcc-c++
Requires:	libtool
Requires:	cmake
Requires:	qt-creator
Requires:	libstdc++6 

Obsoletes:	%{name}
Provides:	%{name}-%{version} = %{release}

%description
VST3SDK ....
needed for build
- The VST 3 API
- VST 3 Implementation Helper Classes
- AAX, AU, AUv3 and VST 2 wrappers
- VST 3 plug-ins Examples
- VSTGUI4
also need to build DAW's with vst3plugin-support

%prep
%setup -q -n %{name}-%{version}

%autopatch -p1

%build

%install
rm -rf %{buildroot}

%__install -vDm 644 %{S:1} %{buildroot}/usr/lib/pkgconfig/vst3sdk.pc
# upstream does not provide a pkg-config integration:
# https://github.com/steinbergmedia/vst3sdk/issues/68
sed -e "s/Version: VERSION/Version: %{version}/" -i %{buildroot}/usr/lib/pkgconfig/%{name}.pc

%__install -vdm 755 %{buildroot}/usr/src/%{name}
rsync -r --exclude doc --exclude .git --exclude .github --exclude .gitignore --exclude .gitattributes . %{buildroot}/usr/src/%{name}/
%__install -vdm 755 %{buildroot}%{_datadir}/doc/%{name}
%__install -vDm 644 LICENSE.txt -t %{buildroot}%{_datadir}/doc/%{name}/
%__install -vDm 644 base/LICENSE.txt %{buildroot}%{_datadir}/doc/%{name}/vst3_base.BSD-3-Clause.txt
%__install -vDm 644 cmake/LICENSE.txt %{buildroot}%{_datadir}/doc/%{name}/vst3_cmake.BSD-3-Clause.txt
%__install -vDm 644 public.sdk/LICENSE.txt %{buildroot}%{_datadir}/doc/%{name}/vst3_public_sdk.BSD-3-Clause.txt
%__install -vDm 644 vstgui4/LICENSE %{buildroot}%{_datadir}/doc/%{name}/vstgui.BSD-3-Clause.txt
%__install -vDm 644 %{_builddir}/%{name}-%{version}/doc/LICENSE.txt %{buildroot}%{_datadir}/doc/%{name}/vst3_doc.LicenseRef-Proprietary-Steinberg-VST3-License.txt

%__install -vDm 644 cmake/modules/*.cmake -t %{buildroot}/usr/lib/cmake/%{name}/


%files
%{_datadir}/doc/%{name}/vst3_doc.LicenseRef-Proprietary-Steinberg-VST3-License.txt
%{_datadir}/doc/%{name}/LICENSE.txt
%{_datadir}/doc/%{name}/vst3_base.BSD-3-Clause.txt
%{_datadir}/doc/%{name}/vst3_cmake.BSD-3-Clause.txt
%{_datadir}/doc/%{name}/vst3_public_sdk.BSD-3-Clause.txt
%{_datadir}/doc/%{name}/vstgui.BSD-3-Clause.txt
%{_prefix}/lib/cmake/%{name}/
%{_prefix}/lib/pkgconfig/%{name}.pc
%{_prefix}/src/%{name}/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Wed Mar 27 2024 onkelho <oh.quait at gmail.com> - 3.7.10-1quait2024
- new version released on Mar 26 2024
